Package org.apache.any23.vocab

## Class Review

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.Review

-     public class Review
      extends Vocabulary

  Vocabulary definitions from vocabularies/review.rdf

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `Comment` | A comment on a review.
    `org.eclipse.rdf4j.model.IRI` | `commenter` | The commenter on the review.
    `org.eclipse.rdf4j.model.IRI` | `Feedback` | Feedback on the review.
    `org.eclipse.rdf4j.model.IRI` | `hasComment` | Used to associate a review with a comment on the review.
    `org.eclipse.rdf4j.model.IRI` | `hasFeedback` | Associates a review with a feedback on the review.
    `org.eclipse.rdf4j.model.IRI` | `hasReview` | Associates a work with a a review.
    `org.eclipse.rdf4j.model.IRI` | `maxRating` | A numeric value.
    `org.eclipse.rdf4j.model.IRI` | `minRating` | A numeric value.
    `org.eclipse.rdf4j.model.IRI` | `NAMESPACE` | The namespace of the vocabulary as a IRI.
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `positiveVotes` | Number of positive usefulness votes (integer).
    `org.eclipse.rdf4j.model.IRI` | `rating` | A numeric value.
    `org.eclipse.rdf4j.model.IRI` | `Review` | A review of an work.
    `org.eclipse.rdf4j.model.IRI` | `reviewer` | The person that has written the review.
    `org.eclipse.rdf4j.model.IRI` | `text` | The text of the review.
    `org.eclipse.rdf4j.model.IRI` | `title` | The title of the review.
    `org.eclipse.rdf4j.model.IRI` | `totalVotes` | Number of usefulness votes (integer).
    `org.eclipse.rdf4j.model.IRI` | `type` | The type of media of a work under review.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Review` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public final org.eclipse.rdf4j.model.IRI NAMESPACE

      The namespace of the vocabulary as a IRI.

    - #### commenter

          public final org.eclipse.rdf4j.model.IRI commenter

      The commenter on the review.

    - #### hasComment

          public final org.eclipse.rdf4j.model.IRI hasComment

      Used to associate a review with a comment on the review.

    - #### hasFeedback

          public final org.eclipse.rdf4j.model.IRI hasFeedback

      Associates a review with a feedback on the review.

    - #### hasReview

          public final org.eclipse.rdf4j.model.IRI hasReview

      Associates a work with a a review.

    - #### maxRating

          public final org.eclipse.rdf4j.model.IRI maxRating

      A numeric value.

    - #### minRating

          public final org.eclipse.rdf4j.model.IRI minRating

      A numeric value.

    - #### positiveVotes

          public final org.eclipse.rdf4j.model.IRI positiveVotes

      Number of positive usefulness votes (integer).

    - #### rating

          public final org.eclipse.rdf4j.model.IRI rating

      A numeric value.

    - #### reviewer

          public final org.eclipse.rdf4j.model.IRI reviewer

      The person that has written the review.

    - #### text

          public final org.eclipse.rdf4j.model.IRI text

      The text of the review.

    - #### title

          public final org.eclipse.rdf4j.model.IRI title

      The title of the review.

    - #### totalVotes

          public final org.eclipse.rdf4j.model.IRI totalVotes

      Number of usefulness votes (integer).

    - #### type

          public final org.eclipse.rdf4j.model.IRI type

      The type of media of a work under review.

    - #### Comment

          public final org.eclipse.rdf4j.model.IRI Comment

      A comment on a review.

    - #### Feedback

          public final org.eclipse.rdf4j.model.IRI Feedback

      Feedback on the review. Expresses whether the review was useful or not.

    - #### Review

          public final org.eclipse.rdf4j.model.IRI Review

      A review of an work.

  - ### Method Detail

    - #### getInstance

          public static Review getInstance()